Subject: Check if mod_rewrite is enabled
Description

FLOW3 should check (somehow) if mod_rewrite is enabled. Without the check the user will just get an internal server error.

One way to do that is adding an IfModule section into the .htaccess and let the FLOW3 checkEnvironment() care about the details and
issue an error message.

Related issues:
related to TYPO3.Flow - Feature # 87: Add fallback for servers without mod_re... Resolved

Associated revisions
Revision e0e8a5b6 - 2009-02-25 21:21 - Karsten Dambekalns
FLOW3, TYPO3v5 & Blog distributions:
    -  added mod_rewrite module check to .htaccess, refs #1235

Revision 1b949713 - 2009-02-25 21:23 - Karsten Dambekalns
FLOW3, TYPO3v5 & Blog distributions:
    -  added mod_rewrite module check to .htaccess, refs #1235

History
#1 - 2008-08-22 11:05 - Karsten Dambekalns

Here's how to check if the module is loaded:
array_search('mod_rewrite', apache_get_modules()) !== FALSE

What this does not check is whether the module is really enabled. And the whole checking doesn't help if the user tried to access an URL only usable
with mod_rewrite in the first place.

We probably need subsystems for different URL rewriting engines (for Apache, IIS, ...) and those should if possible include a check and routines to
build links and decode URLS.

#2 - 2009-02-25 21:25 - Karsten Dambekalns
- Status changed from New to Closed
- Assigned To set to Karsten Dambekalns

I added an ifmodule condition to the .htaccess files, the remainder of this issues is better dealt with in #87.
